xmonad-contrib-0.10: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

XMonad.Hooks.WorkspaceByPos

Contents

- Usage

Description

Useful in a dual-head setup: Looks at the requested geometry of new windows and moves them to the workspace of the non-focused screen if necessary.

Synopsis

- workspaceByPos :: ManageHook

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Hooks.WorkspaceByPos

     myManageHook = workspaceByPos <+> manageHook defaultConfig

     main = xmonad defaultConfig { manageHook = myManageHook }

workspaceByPos :: ManageHook